from xportal import *

import pprint

class MyPrettyPrinter(pprint.PrettyPrinter):
    def format(self, object, context, maxlevels, level):
        if isinstance(object, unicode):
            return (object.encode('utf8'), True, False)
        return pprint.PrettyPrinter.format(self, object, context, maxlevels, level)


pp = MyPrettyPrinter(indent=4)

#a = PACSImageShowList("P121329987")
#a = PACSImageShowReport("P121329987")

#a = GetRTNoteReport('1472872')
#a = ElectronicMedicalReportViewer('2459447')

a = PatientMedicalRecordList('5573275')

#a = ShowOperationList('6040713')

pp.pprint(a)